package com.sygem.swing.demos;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.sygem.swing.borders.*;

/**
 * <p>Title: SyGem Swing Borders</p>
 * <p>Description: A set of free Borders</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: SyGem Software</p>
 * @author Simon Jewell
 * @version 1.0
 */

public class BordersDemoFrame extends JFrame {
  JPanel contentPane;
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  JLabel jLabel1 = new JLabel();
  JLabel jLabel2 = new JLabel();
  JLabel jLabel3 = new JLabel();
  JLabel jLabel4 = new JLabel();
  JTabbedPane jTabbedPane1 = new JTabbedPane();
  JLabel jLabel6 = new JLabel();

  //Construct the frame
  public BordersDemoFrame() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  //Component initialization
  private void jbInit() throws Exception  {
    contentPane = (JPanel) this.getContentPane();
    jLabel1.setText(" FlashingBorder Demo ");
    FlashingBorder b1 = new FlashingBorder();
    b1.setBorder1(BorderFactory.createLineBorder(Color.red,5));
    b1.setBorder2(BorderFactory.createLineBorder(Color.green,5));
    b1.startFlashing();
    jLabel1.setBorder(b1);
    AnimatedBorder b2 = new AnimatedBorder();
    for (int i=0;i<255;i++) {
      if (i<128) {
        b2.addBorder(BorderFactory.createLineBorder(new Color(255-(i*2),0,(i*2)),5));
      } else {
        b2.addBorder(BorderFactory.createLineBorder(new Color(((i-128)*2),0,255-((i-128)*2)),5));
      }
    }
    b2.setAnimationDelay(50);
    b2.startAnimation();
    jLabel2.setBorder(b2);
    StrokedBorder b3 = new StrokedBorder(new BasicStroke(6,BasicStroke.CAP_ROUND,BasicStroke.JOIN_ROUND,10,new float[] {5,10,5,10},0),Color.blue);
    jLabel3.setBorder(b3);
    contentPane.setLayout(gridBagLayout1);
    this.setSize(new Dimension(400, 300));
    this.setTitle("SyGem Borders");
    jLabel2.setText(" AnimatedBorder Demo ");
    jLabel3.setText(" StrokedBorder Demo ");
    jLabel4.setText(" ShadowedBorder Demo ");

    jLabel4.setBorder(new ShadowedBorder());
    jTabbedPane1.setBorder(new ShadowedBorder());

    PictureFrameBorder b4 = new PictureFrameBorder();
    b4.setThickness(30);
    b4.setFrame(PictureFrameBorder.Classic_Wood_Brass_1);
    jLabel6.setBorder(b4);

    contentPane.setBorder(new ShadowedBorder());


    jLabel6.setText(" PictureFrameBorder Demo ");
    contentPane.add(jLabel1,    new GridBagConstraints(1, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 10, 0), 0, 0));
    contentPane.add(jLabel2,     new GridBagConstraints(1, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 10, 0), 0, 0));
    contentPane.add(jLabel3,     new GridBagConstraints(1, 3, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 10, 0), 0, 0));
    contentPane.add(jLabel4,     new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(5, 5, 10, 5), 0, 0));
    contentPane.add(jTabbedPane1,   new GridBagConstraints(0, 0, 1, 5, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    contentPane.add(jLabel6,   new GridBagConstraints(1, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.NORTH, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));

  }

  //Overridden so we can exit when window is closed
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }
}
